# Questo è il file di configurazione per DOSBox 0.74. (Prego usare l'ultima versione di DOSBox)
# Le linee che iniziano per # sono commenti e sono ignorati da DOSBox.
# Queste vengono usati per descrivere (brevemente) l'effetto di ogni opzione.

[vga]
# svgachipset -- Seleziona uno dei seguenti supportati SVGA chipsets:
#                s3 (S3 Trio Vesa 2.0 compatibile - di serie), vga_s3, svga_s3, vga,
#                et4000, et4000new, et3000, pvgala, ega, vgaonly, svgaonly, none.
#		 Nome completo del chipset (come 'Tseng ET4000')
#                  funziona anche meglio rispetto una delle stringhe di cui sopra.
# videoram -- Quantità di memoria video emulata in SVGA. Non tutti i chipset emulati supportano questa impostazione.

svgachipset=et4000
videoram=4096

[sdl]
#       fullscreen: Avvia dosbox direttamente a schermo intero(premere ALT-Enter per ritornare).
#       fulldouble: Usa il doppio buffering a schermo intero(può ridurre i difetti ma risultare lento in DOSBox).
#   fullresolution: Risoluzione da usare a schermo intero: 'original' o dimensione fissa (es. 1024x768).
#                     Usare la risoluzione nativa del monitor con aspect=true per ottenere il migliore risultato.
#                     Se otteniamo una finestra piccola su un grande schermo, provare un' uscita diversa della superfice.
# windowresolution: Ridimensiona la finestra a questa dimensione SE il dispositivo di output supporta l'hardware scaling.
#                     (uscita=superfice non lo fa!)
#           output: Sistema video da usare per l'output.
#                   Valori ammessi: surface, overlay, opengl, openglnb, ddraw.
#         autolock: Il mouse verrà catturato automaticamente, cliccando sullo schermo(premere CTRL-F10 per sbloccare).
#      sensitivity: Sensibilità del mouse.
#      waitonerror: Aspetta prima di chiudere la console in caso di errore di dosbox.
#         priority: Livelli di priorità di dosbox. La seconda voce dopo la virgola è per quando dosbox è minimizzato o non
#                   in primo piano ('pause' può essere usato solo per la seconda voce)
#                   Valori ammessi: lowest, lower, normal, higher, highest, pause.
#       mapperfile: File usato per caricare/salvare le associazioni tasto/evento mappings. Resetmapper lavora solo con le impostazioni di serie.
#     usescancodes: Evita l'uso delle symkeys, potrebbe non funzionare su tutti i sistemi operativi.

fullscreen=false
fulldouble=true
fullresolution=original
windowresolution=original
output=surface
autolock=true
sensitivity=100
waitonerror=true
priority=higher,normal
mapperfile=mapper-0.74.map
usescancodes=true

[dosbox]
# language: Sceglie un altro file linguaggio.
#  machine: Il tipo di macchina da provare a emulare.
#           Valori ammessi: hercules, cga, tandy, pcjr, ega, vgaonly, svga_s3, svga_et3000, svga_et4000, svga_paradise, vesa_nolfb, vesa_oldvbe.
# captures: Directory dove vanno a finire wave, midi, screenshot, ecc.
#  memsize: Quantità di memoria a disposizione di DOSBox, in megabytes.
#             Si consiglia di non modificare questo valore per evitare problemi con alcuni giochi,
#             anche se potrebbe essere necessario aumentarlo per farne funzionare alcuni.
#             Di solito non vi è nessun guadagno in velocità alzando questo valore.

language=dosbox074ita.lng
machine=svga_s3
captures=capture
memsize=63

[render]
# frameskip: Determina il numero di frame (fotogrammi) saltati da DOSBox prima di disegnarne uno.
#    aspect: Esegue la correzione dell'aspetto. Se il tuo metodo di output non supporta lo scaling, questo potrebbe rallentare tutto!.
#    scaler: Scaler usato per ingrandire/migliorare le modalità a bassa risoluzione. Se viene aggiunto 'forced', lo scaler sarà usato anche se i risultati potrebbero essere indesiderati.
#            Valori ammessi: none, normal2x, normal3x, advmame2x, advmame3x, advinterp2x, advinterp3x, hq2x, hq3x, 2xsai, super2xsai, supereagle, tv2x, tv3x, rgb2x, rgb3x, scan2x, scan3x.

frameskip=0
aspect=false
scaler=normal2x

[cpu]
#      core: CPU Core usato nell' emulazione. 'auto' diventerà 'dynamic' quando possibile e appropriato.
#            Valori ammessi: auto, dynamic, normal, simple.
#   cputype: Tipo di CPU usata nell'emulazione. 'auto' è la scelta più veloce.
#            Valori ammessi: auto, 386, 386_slow, 486_slow, pentium_slow, 386_prefetch.
#    cycles: Quantità di istruzioni che DOSBox prova a emulare ogni millisecondo.
#            Un valore troppo alto produrrà perdite nell'audio e ritardi.
#            I cicli possono essere impostati in 3 modi:
#              'auto'          prova a indovinare le necessità del gioco.
#                              Di solito funziona, ma può fallire con certi giochi.
#              'fixed #numero' imposta un numero fisso di cicli. Questo è ciò che ti serve quando 'auto' non funziona.
#                              (Esempio: fixed 4000)
#              'max'           allocherà tanti cicli quanti il tuo computer è in grado di gestire
#            
#            Valori ammessi: auto, fixed, max.
#   cycleup: Quantità di cicli di cui aumentare/diminuire usando gli appositi tasti(CTRL-F11/CTRL-F12).
# cycledown: Un valore più basso di 100 indica una percentuale.

core=auto
cputype=auto
cycles=auto
cycleup=100
cycledown=20

[mixer]
#   nosound: Attiva la modalità silenziosa, ma il suono viene comunque emulato.
#      rate: Frequenza del mixer, impostare la frequenza di qualsiasi dispositivo ad un valore più alto di questo, ne peggiorerà la qualità sonora.
#            Valori ammessi: 22050, 44100, 48000, 32000, 16000, 11025, 8000, 49716.
# blocksize: Dimensione blocchi mixer, blocchi più grandi riducono l'audio a singhiozzo ma possono introdurre ritardi.
#            Valori ammessi: 2048, 4096, 8192, 1024, 512, 256.
# prebuffer: Quantità di millisecondi di dati da tenere in cima alla dimensione dei blocchi.

nosound=false
rate=44100
blocksize=2048
prebuffer=10

[midi]
#     mpu401: Tipo di MPU-401 da emulare.
#             Valori ammessi: intelligent, uart, none.
# mididevice: Dispositivo che riceverà i dati MIDI da MPU-401.
#             Valori ammessi: default, win32, alsa, oss, coreaudio, coremidi, none.
# midiconfig: Opzioni speciali di configurazione per il driver di dispositivo. Di solito è l'id del dispositivo che vuoi usare.
#               Vedi il README/Manuale per dettagli.

mpu401=intelligent
mididevice=default
midiconfig=

[sblaster]
#  sbtype: Tipo di sblaster da emulare. gb è GameBlaster
#          Valori ammessi: sb1, sb2, sbpro1, sbpro2, sb16, gb, none.
#  sbbase: L'indirizzo IO della soundblaster.
#          Valori ammessi: 220, 240, 260, 280, 2a0, 2c0, 2e0, 300.
#     irq: Il numero IRQ della soundblaster.
#          Valori ammessi: 7, 5, 3, 9, 10, 11, 12.
#     dma: Il numero DMA della soundblaster.
#          Valori ammessi: 1, 5, 0, 3, 6, 7.
#    hdma: Il numero High DMA della soundblaster.
#          Valori ammessi: 1, 5, 0, 3, 6, 7.
# sbmixer: Permetti al mixer della soundbaster di modificare il mixer di DOSBox.
# oplmode: Tipo di emulazione OPL. Se 'auto' la modalità è determinata dal tipo di sblaster. Tutte le modalità OPL sono compatibili Adlib, ad eccezione di 'cms'.
#          Valori ammessi: auto, cms, opl2, dualopl2, opl3, none.
#  oplemu: Provider per l'emulazione OPL. 'compat' o 'old' possono fornire migliore qualità (vedi anche 'oplrate').
#          Valori ammessi: default, compat, fast, old.
# oplrate: Frequenza dell'emulazione musicale OPL. Usa 49716 per la migliore qualità (imposta la frequenza del mixer in maniera appropriata).
#          Valori ammessi: 44100, 49716, 22050, 48000, 32000, 16000, 11025, 8000.

sbtype=sb16
sbbase=220
irq=7
dma=1
hdma=5
sbmixer=true
oplmode=auto
oplemu=default
oplrate=44100

[gus]
#      gus: Abilita l'emulazione di Gravis Ultrasound.
#  gusrate: Frequenza dell'emulazione Ultrasound.
#           Valori ammessi: 22050, 44100, 48000, 32000, 16000, 11025, 8000, 49716.
#  gusbase: L'indirizzo base IO di Gravis Ultrasound.
#           Valori ammessi: 240, 220, 260, 280, 2a0, 2c0, 2e0, 300.
#   gusirq: Il numero IRQ number di Gravis Ultrasound.
#           Valori ammessi: 5, 3, 7, 9, 10, 11, 12.
#   gusdma: Il canale DMA di Gravis Ultrasound.
#           Valori ammessi: 3, 0, 1, 5, 6, 7.
# ultradir: Percorso per la directory Ultrasound. La directory dovrebbe
#           contenere una directory MIDI che contiene i patch file per
#           la riproduzione GUS. I patch set usati con Timidity dovrebbero
#           funzionare correttamente.

gus=false
gusrate=44100
gusbase=240
gusirq=5
gusdma=3
ultradir=C:\ULTRASND

[speaker]
# pcspeaker: Attiva l'emulazione del PC-Speaker (altoparlante interno del PC).
#    pcrate: Frequenza della generazione del suono del PC-Speaker.
#            Valori ammessi: 22050, 44100, 48000, 32000, 16000, 11025, 8000, 49716.
#     tandy: Attiva l'emulazione di Tandy Sound System. Se 'auto', l'emulazione è presente solo se la macchina è impostata a 'tandy'.
#            Valori ammessi: auto, on, off.
# tandyrate: Frequenza della generazione Tandy 3-Voice.
#            Valori ammessi: 22050, 44100, 48000, 32000, 16000, 11025, 8000, 49716.
#    disney: Attiva l'emulazione Disney Sound Source. (Compatibile con Covox Voice Master e Speech Thing).

pcspeaker=true
pcrate=44100
tandy=auto
tandyrate=44100
disney=true

[joystick]
# joysticktype: Tipo di joystick da emulare: auto (default), none,
#               2axis (supporta due joystick),
#               4axis (supporta un joystick, viene usato il primo),
#               4axis_2 (supporta un joystick, viene usatot il secondo),
#               fcs (Thrustmaster), ch (CH Flightstick).
#               none disattiva l'emulazione joystick.
#               auto sceglie l'emulazione in base ai joystick reali.
#               (Ricordarsi di resettare mapperfile dosbox, se hai salvato prima))
#               Valori ammessi: auto, 2axis, 4axis, 4axis_2, fcs, ch, none.
#        timed: attiva gli intervalli temporizzati per gli assi. ('false' è il comportamento vecchio stile).
#     autofire: continua a fare fuoco finché tieni il bottone premuto.
#       swap34: scambia il 3° e 4° asse. può essere utile per alcuni joystick.
#   buttonwrap: attiva il wrapping dei bottoni al numero di bottoni emulati.

joysticktype=auto
timed=true
autofire=false
swap34=false
buttonwrap=true

[serial]
# serial1: imposta il tipo di dispositivo connesso alla porta com.
#          Può essere disabled, dummy, modem, nullmodem, directserial.
#          Eventuali parametri aggiuntivi devono essere sulla stessa riga nella forma di
#          parametro:valore. Un parametro per tutti i tipi è 'irq'.
#          per directserial: realport (richiesto), rxdelay (opzionale).
#                           (realport:COM1 realport:ttyS0).
#          per modem: listenport (opzionale).
#          per nullmodem: server, rxdelay, txdelay, telnet, usedtr,
#                         transparent, port, inhsocket (tutti opzionali).
#          Esempio: serial1=modem listenport:5000
#          Valori ammessi: dummy, disabled, modem, nullmodem, directserial.
# serial2: vedi serial1
#          Valori ammessi: dummy, disabled, modem, nullmodem, directserial.
# serial3: vedi serial1
#          Valori ammessi: dummy, disabled, modem, nullmodem, directserial.
# serial4: vedi serial1
#          Valori ammessi: dummy, disabled, modem, nullmodem, directserial.

serial1=dummy
serial2=dummy
serial3=disabled
serial4=disabled

[dos]
#            xms: Abilita supporto XMS.
#            ems: Abilita supporto EMS.
#            umb: Abilita supporto UMB.
# keyboardlayout: Codice linguaggio del layout tastiera (o 'none').

xms=true
ems=true
umb=true
keyboardlayout=it

[ipx]
# ipx: Abilita l'emulazione di ipx attraverso UDP/IP.

ipx=false

[autoexec]
# Le righe in questa sezione verranno eseguite ad ogni avvio di DOSBox.
# Si possono mettere le vostre righe di MOUNT qui.
#SET BLASTER=A220 I7 D1 H5 T6 P330
#mount a a:\
mount c c:\
mount d d:\ -t cdrom
#mount e e:\